#define PAD_ALT_ONE_KEY                 0x1
#define PAD_ALT_1_KEY                   0x1
#define CTRL_A_KEY                      0x1

#define PAD_ALT_TWO_KEY                 0x2
#define PAD_ALT_2_KEY                   0x2
#define CTRL_B_KEY                      0x2

#define CTRL_BREAK_KEY                  0x3
#define BREAK_KEY                       0x3
#define PAD_ALT_THREE_KEY               0x3
#define PAD_ALT_3_KEY                   0x3
#define CTRL_C_KEY                      0x3

#define PAD_ALT_4_KEY                   0x4
#define PAD_ALT_FOUR_KEY                0x4
#define CTRL_D_KEY                      0x4

#define PAD_ALT_FIVE_KEY                0x5
#define PAD_ALT_5_KEY                   0x5
#define CTRL_E_KEY                      0x5

#define PAD_ALT_SIX_KEY                 0x6
#define PAD_ALT_6_KEY                   0x6
#define CTRL_F_KEY                      0x6

#define PAD_ALT_SEVEN_KEY               0x7
#define PAD_ALT_7_KEY                   0x7
#define CTRL_G_KEY                      0x7

#define BACK_SPACE_KEY                  0x8
#define BKSP_KEY                        0x8
#define BACK_KEY                        0x8
#define BACKSPACE_KEY                   0x8
#define DELETE_LEFT_KEY                 0x8
#define ERASE_KEY                       0x8
#define ERASE_LEFT_KEY                  0x8
#define PAD_ALT_8_KEY                   0x8
#define PAD_ALT_EIGHT_KEY               0x8
#define CTRL_H_KEY                      0x8

#define PAD_ALT_NINE_KEY                0x9
#define PAD_ALT_9_KEY                   0x9
#define TAB_KEY                         0x9
#define HORIZONTAL_TAB_KEY              0x9
#define NEXT_TAB_KEY                    0x9
#define CURSOR_TAB_KEY                  0x9
#define HORZ_TAB_KEY                    0x9
#define TAB_RIGHT_KEY                   0x9
#define CTRL_I_KEY                      0x9

#define CTRL_ENTER_KEY                  0xA
#define CTRL_CARRIAGE_RETURN_KEY        0xA
#define CTRL_CARRIAGE_RET_KEY           0xA
#define CTRL_CR_KEY                     0xA
#define CTRL_RET_KEY                    0xA
#define CTRL_RETURN_KEY                 0xA
#define LF_KEY                          0xA
#define LINE_FEED_KEY                   0xA
#define LINEFEED_KEY                    0xA
#define NEW_LINE_KEY                    0xA
#define NEWLINE_KEY                     0xA
#define CTRL_J_KEY                      0xA

#define CTRL_K_KEY                      0xB

#define CTRL_L_KEY                      0xC

#define ENTER_KEY                       0xD
#define CARRIAGE_RETURN_KEY             0xD
#define CARRIAGE_RET_KEY                0xD
#define CR_KEY                          0xD
#define RETURN_KEY                      0xD
#define RET_KEY                         0xD
#define CTRL_M_KEY                      0xD

#define CTRL_N_KEY                      0xE

#define CTRL_O_KEY                      0xF

#define CTRL_PRINT_SCREEN_KEY           0x10
#define CTRL_PRT_SCR_KEY                0x10
#define CTRL_PRINT_KEY                  0x10
#define CTRL_P_KEY                      0x10
#define CTRL_SYSREQ_KEY                 0x10
#define CTRL_SYS_REQ_KEY                0x10

#define CTRL_Q_KEY                      0x11

#define CTRL_R_KEY                      0x12

#define CTRL_S_KEY                      0x13

#define CTRL_T_KEY                      0x14

#define CTRL_U_KEY                      0x15

#define CTRL_V_KEY                      0x16

#define CTRL_W_KEY                      0x17

#define CTRL_X_KEY                      0x18

#define CTRL_Y_KEY                      0x19

#define CTRL_Z_KEY                      0x1A

#define ESC_KEY                         0x1B
#define ESCAPE_KEY                      0x1B
#define CTRL_LEFT_BRACKET_KEY           0x1B
#define CTRL_OPEN_BRACKET_KEY           0x1B
#define CTRL_START_BRACKET_KEY          0x1B
#define CTRL_BEGIN_BRACKET_KEY          0x1B

#define CTRL_BACK_SLASH_KEY             0x1C
#define CTRL_BACKSLASH_KEY              0x1C
#define CTRL_REVERSE_SLASH_KEY          0x1C
#define CTRL_REV_SLASH_KEY              0x1C

#define CTRL_LEFT_BRACKET_KEY           0x1D
#define CTRL_CLOSE_BRACKET_KEY          0x1D
#define CTRL_END_BRACKET_KEY            0x1D

#define CTRL_SIX_KEY                    0x1E
#define CTRL_6_KEY                      0x1E

#define CTRL_HYPHEN_KEY                 0x1F
#define CTRL_MINUS_KEY                  0x1F
#define CTRL_SUBTRACTION_KEY            0x1F
#define CTRL_NEGATIVE_KEY               0x1F

#define SPACE_KEY                       0x20
#define BLANK_SPACE_KEY                 0x20
#define CURSOR_SPACE_KEY                0x20
#define SPACEBAR_KEY                    0x20
#define SPACE_BAR_KEY                   0x20

#define DOUBLE_QUOTE_KEY                0x22
#define DOUBLE_QUOTATION_MARK_KEY       0x22
#define DOUBLE_QUOTE_KEY                0x22
#define SHIFT_SINGLE_QUOTE_KEY          0x22
#define SHIFT_SINGLE_FORWARE_QUOTE_KEY  0x22
#define SHIFT_TICK_SYMBOL_KEY           0x22
#define SHIFT_TICK_KEY                  0x22

#define POUND_SIGN_KEY                  0x23
#define POUND_KEY                       0x23
#define SHARP_KEY                       0x23
#define NUMBER_KEY                      0x23
#define SHIFT_THREE_KEY                 0x23
#define SHIFT_3_KEY                     0x23

#define DOLLAR_SIGN_KEY                 0x24
#define DOLLAR_KEY                      0x24
#define MONEY_KEY                       0x24
#define CASH_KEY                        0x24
#define SHIFT_FOUR_KEY                  0x24
#define SHIFT_4_KEY                     0x24

#define PERCENT_SIGN_KEY                0x25
#define PERCENT_KEY                     0x25
#define MODULUS_KEY                     0x25
#define MODULO_KEY                      0x25
#define REMAINDER_KEY                   0x25
#define SHIFT_FIVE_KEY                  0x25
#define SHIFT_5_KEY                     0x25

#define AMPERSAND_KEY                   0x26
#define AND_KEY                         0x26
#define AND_SIGN_KEY                    0x26
#define SHIFT_SEVEN_KEY                 0x26
#define SHIFT_7_KEY                     0x26

#define SINGLE_QUOTE_KEY                0x27
#define SINGLE_FORWARD_QUOTE_KEY        0x27
#define TICK_SYMBOL_KEY                 0x27
#define TICK_KEY                        0x27

#define OPEN_PAREN_KEY                  0x28
#define START_PAREN_KEY                 0x28
#define OPEN_PARENTHESES_KEY            0x28
#define START_PARENTHESES_KEY           0x28
#define SHIFT_NINE_KEY                  0x28
#define SHIFT_9_KEY                     0x28
#define BEGIN_PAREN_KEY                 0x28
#define BEGIN_PARENTHESES_KEY           0x28

#define CLOSE_PAREN_KEY                 0x29
#define END_PAREN_KEY                   0x29
#define CLOSE_PARENTHESES_KEY           0x29
#define END_PARENTHESES_KEY             0x29
#define SHIFT_ZERO_KEY                  0x29
#define SHIFT_0_KEY                     0x29

#define PAD_STAR_KEY                    0x2A
#define PAD_SPLAT_KEY                   0x2A
#define PAD_ASTERISKS_KEY               0x2A
#define STAR_KEY                        0x2A
#define SPLAT_KEY                       0x2A
#define ASTERISKS_KEY                   0x2A
#define SHIFT_EIGHT_KEY                 0x2A
#define SHIFT_8_KEY                     0x2A

#define PLUS_KEY                        0x2B
#define ADDITION_KEY                    0x2B
#define ADD_KEY                         0x2B
#define SUM_KEY                         0x2B

#define COMMA_KEY                       0x2C
#define THOUSANDS_KEY                   0x2C
#define MILLIONS_KEY                    0x2C

#define PAD_MINUS_KEY                   0x2D
#define PAD_SUBTRACTION_KEY             0x2D
#define PAD_HYPHEN_KEY                  0x2D
#define HYPHEN_KEY                      0x2D
#define MINUS_KEY                       0x2D
#define SUBTRACTION_KEY                 0x2D

#define DOT_KEY                         0x2E
#define PERIOD_KEY                      0x2E
#define DECIMAL_POINT_KEY               0x2E
#define DECIMAL_KEY                     0x2E
#define DECIMAL_PT_KEY                  0x2E

#define PAD_SLASH_KEY                   0x2F
#define PAD_DIVIDE_KEY                  0x2F
#define PAD_FORWARD_SLASH_KEY           0x2F
#define PAD_RATIO_KEY                   0x2F
#define SLASH_KEY                       0x2F
#define DIVIDE_KEY                      0x2F
#define FORWARD_SLASH_KEY               0x2F
#define RATIO_KEY                       0x2F

#define ZERO_KEY                        0x30
#define DIGIT_ZERO_KEY                  0x30
#define 0_KEY                           0x30

#define ONE_KEY                         0x31
#define DIGIT_ONE_KEY                   0x31
#define 1_KEY                           0x31

#define TWO_KEY                         0x32
#define DIGIT_TWO_KEY                   0x32
#define 2_KEY                           0x32

#define THREE_KEY                       0x33
#define DIGIT_THREE_KEY                 0x33
#define 3_KEY                           0x33

#define FOUR_KEY                        0x34
#define DIGIT_FOUR_KEY                  0x34
#define 4_KEY                           0x34

#define FIVE_KEY                        0x35
#define DIGIT_FIVE_KEY                  0x35
#define 5_KEY                           0x35

#define SIX_KEY                         0x36
#define DIGIT_SIX_KEY                   0x36
#define 6_KEY                           0x36

#define SEVEN_KEY                       0x37
#define DIGIT_SEVEN_KEY                 0x37
#define 7_KEY                           0x37

#define EIGHT_KEY                       0x38
#define DIGIT_EIGHT_KEY                 0x38
#define 8_KEY                           0x38

#define NINE_KEY                        0x39
#define DIGIT_NINE_KEY                  0x39
#define 9_KEY                           0x39

#define COLON_KEY                       0x3A
#define TIME_SEPERATOR_KEY              0x3A
#define SHIFT_SEMICOLON_KEY             0x3A
#define SHIFT_SEMI_COLON_KEY            0x3A
#define SHIFT_SEMI_KEY                  0x3A

#define SEMI_COLON_KEY                  0x3B
#define SEMICOLON_KEY                   0x3B
#define SEMI_KEY                        0x3B

#define LESS_THAN_KEY                   0x3C
#define LESSTHAN_KEY                    0x3C
#define SHIFT_COMMA_KEY                 0x3C

#define EQUAL_KEY                       0x3D
#define EQUATE_KEY                      0x3D

#define GREATER_THAN_KEY                0x3E
#define GREATER_THAN_SYMBOL_KEY         0x3E
#define SHIFT_DOT_KEY                   0x3E
#define SHIFT_PERIOD_KEY                0x3E
#define SHIFT_DECIMAL_POINT_KEY         0x3E

#define QUESTION_KEY                    0x3F
#define QUESTION_MARK_KEY               0x3F
#define QUERY_KEY                       0x3F
#define SHIFT_SLASH_KEY                 0x3F
#define SHIFT_DIVIDE_KEY                0x3F
#define SHIFT_FORWARD_SLASH_KEY         0x3F
#define SHIFT_RATIO_KEY                 0x3F

#define AT_KEY                          0x40
#define AT_SIGN_KEY                     0x40
#define SHIFT_TWO_KEY                   0x40
#define SHIFT_2_KEY                     0x40

#define CAPITAL_A_KEY                   0x41
#define BIG_A_KEY                       0x41
#define CAP_A_KEY                       0x41
#define UPPER_CASE_A_KEY                0x41
#define SHIFT_A_KEY                     0x41

#define CAPITAL_B_KEY                   0x42
#define BIG_B_KEY                       0x42
#define CAP_B_KEY                       0x42
#define UPPER_CASE_B_KEY                0x42
#define SHIFT_B_KEY                     0x42

#define CAPITAL_C_KEY                   0x43
#define BIG_C_KEY                       0x43
#define CAP_C_KEY                       0x43
#define UPPER_CASE_C_KEY                0x43
#define SHIFT_C_KEY                     0x43

#define CAP_D_KEY                       0x44
#define BIG_D_KEY                       0x44
#define CAPITAL_D_KEY                   0x44
#define UPPER_CASE_D_KEY                0x44
#define SHIFT_D_KEY                     0x44

#define CAPITAL_E_KEY                   0x45
#define BIG_E_KEY                       0x45
#define CAP_E_KEY                       0x45
#define UPPER_CASE_E_KEY                0x45
#define SHIFT_E_KEY                     0x45

#define CAPITAL_F_KEY                   0x46
#define BIG_F_KEY                       0x46
#define CAP_F_KEY                       0x46
#define UPPER_CASE_F_KEY                0x46
#define SHIFT_F_KEY                     0x46

#define CAPITAL_G_KEY                   0x47
#define BIG_G_KEY                       0x47
#define CAP_G_KEY                       0x47
#define UPPER_CASE_G_KEY                0x47
#define SHIFT_G_KEY                     0x47

#define CAPITAL_H_KEY                   0x48
#define BIG_H_KEY                       0x48
#define CAP_H_KEY                       0x48
#define UPPER_CASE_H_KEY                0x48
#define SHIFT_H_KEY                     0x48

#define CAPITAL_I_KEY                   0x49
#define BIG_I_KEY                       0x49
#define CAP_I_KEY                       0x49
#define UPPER_CASE_I_KEY                0x49
#define SHIFT_I_KEY                     0x49

#define CAPITAL_J_KEY                   0x4A
#define BIG_J_KEY                       0x4A
#define CAP_J_KEY                       0x4A
#define UPPER_CASE_J_KEY                0x4A
#define SHIFT_J_KEY                     0x4A

#define CAPITAL_K_KEY                   0x4B
#define BIG_K_KEY                       0x4B
#define CAP_K_KEY                       0x4B
#define UPPER_CASE_K_KEY                0x4B
#define SHIFT_K_KEY                     0x4B

#define CAPITAL_L_KEY                   0x4C
#define BIG_L_KEY                       0x4C
#define CAP_L_KEY                       0x4C
#define UPPER_CASE_L_KEY                0x4C
#define SHIFT_L_KEY                     0x4C

#define CAPITAL_M_KEY                   0x4D
#define BIG_M_KEY                       0x4D
#define CAP_M_KEY                       0x4D
#define UPPER_CASE_M_KEY                0x4D
#define SHIFT_M_KEY                     0x4D

#define CAPITAL_N_KEY                   0x4E
#define BIG_N_KEY                       0x4E
#define CAP_N_KEY                       0x4E
#define UPPER_CASE_N_KEY                0x4E
#define SHIFT_N_KEY                     0x4E

#define CAPITAL_O_KEY                   0x4F
#define BIG_O_KEY                       0x4F
#define CAP_O_KEY                       0x4F
#define UPPER_CASE_O_KEY                0x4F
#define SHIFT_O_KEY                     0x4F

#define CAPITAL_P_KEY                   0x50
#define BIG_P_KEY                       0x50
#define CAP_P_KEY                       0x50
#define UPPER_CASE_P_KEY                0x50
#define SHIFT_P_KEY                     0x50

#define CAPITAL_Q_KEY                   0x51
#define BIG_Q_KEY                       0x51
#define CAP_Q_KEY                       0x51
#define UPPER_CASE_Q_KEY                0x51
#define SHIFT_Q_KEY                     0x51

#define CAPITAL_R_KEY                   0x52
#define BIG_R_KEY                       0x52
#define CAP_R_KEY                       0x52
#define UPPER_CASE_R_KEY                0x52
#define SHIFT_R_KEY                     0x52

#define CAPITAL_S_KEY                   0x53
#define BIG_S_KEY                       0x53
#define CAP_S_KEY                       0x53
#define UPPER_CASE_S_KEY                0x53
#define SHIFT_S_KEY                     0x53

#define CAPITAL_T_KEY                   0x54
#define BIG_T_KEY                       0x54
#define CAP_T_KEY                       0x54
#define UPPER_CASE_T_KEY                0x54
#define SHIFT_T_KEY                     0x54

#define CAPITAL_U_KEY                   0x55
#define BIG_U_KEY                       0x55
#define CAP_U_KEY                       0x55
#define UPPER_CASE_U_KEY                0x55
#define SHIFT_U_KEY                     0x55

#define CAPITAL_V_KEY                   0x56
#define BIG_V_KEY                       0x56
#define CAP_V_KEY                       0x56
#define UPPER_CASE_V_KEY                0x56
#define SHIFT_V_KEY                     0x56

#define CAPITAL_W_KEY                   0x57
#define BIG_W_KEY                       0x57
#define CAP_W_KEY                       0x57
#define UPPER_CASE_W_KEY                0x57
#define SHIFT_W_KEY                     0x57

#define CAPITAL_X_KEY                   0x58
#define BIG_X_KEY                       0x58
#define CAP_X_KEY                       0x58
#define UPPER_CASE_X_KEY                0x58
#define SHIFT_X_KEY                     0x58

#define CAPITAL_Y_KEY                   0x59
#define BIG_Y_KEY                       0x59
#define CAP_Y_KEY                       0x59
#define UPPER_CASE_Y_KEY                0x59
#define SHIFT_Y_KEY                     0x59

#define CAPITAL_Z_KEY                   0x5A
#define BIG_Z_KEY                       0x5A
#define CAP_Z_KEY                       0x5A
#define UPPER_CASE_Z_KEY                0x5A
#define SHIFT_Z_KEY                     0x5A

#define START_BRACKET_KEY               0x5B
#define OPEN_BRACKET_KEY                0x5B
#define BEGIN_BRACKET_KEY               0x5B
#define OPEN_SQUARE_BRACKET_KEY         0x5B

#define BACK_SLASH_KEY                  0x5C
#define BACKSLASH_KEY                   0x5C

#define STOP_BRACKET_KEY                0x5D
#define CLOSE_BRACKEY_KEY               0x5D
#define END_BRACKEY_KEY                 0x5D
#define CLOSE_SQUARE_BRACKEY_KEY        0x5D

#define UNDERBAR_KEY                    0x5F
#define UNDERLINE_KEY                   0x5F
#define UNDER_BAR_KEY                   0x5F
#define UNDER_LINE_KEY                  0x5F
#define SHIFT_HYPHEN_KEY                0x5F
#define SHIFT_MINUS_KEY                 0x5F
#define SHIFT_SUBTRACTION_KEY           0x5F
#define SHIFT_NEGATIVE_KEY              0x5F

#define GRAVE_KEY                       0x60
#define GRAVE_ACCENT_KEY                0x60
#define BACK_QUOTE_KEY                  0x60
#define BACK_SINGLE_QUOTE_KEY           0x60
#define BACK_TICK_MARK_KEY              0x60
#define BACK_TICK_KEY                   0x60

#define A_KEY                           0x61
#define SMALL_A_KEY                     0x61
#define LOWER_CASE_A_KEY                0x61

#define B_KEY                           0x62
#define SMALL_B_KEY                     0x62
#define LOWER_CASE_B_KEY                0x62

#define C_KEY                           0x63
#define SMALL_C_KEY                     0x63
#define LOWER_CASE_C_KEY                0x63

#define D_KEY                           0x64
#define SMALL_D_KEY                     0x64
#define LOWER_CASE_D_KEY                0x64

#define E_KEY                           0x65
#define SMALL_E_KEY                     0x65
#define LOWER_CASE_E_KEY                0x65

#define F_KEY                           0x66
#define SMALL_F_KEY                     0x66
#define LOWER_CASE_F_KEY                0x66

#define G_KEY                           0x67
#define SMALL_G_KEY                     0x67
#define LOWER_CASE_G_KEY                0x67

#define H_KEY                           0x68
#define SMALL_H_KEY                     0x68
#define LOWER_CASE_H_KEY                0x68

#define I_KEY                           0x69
#define SMALL_I_KEY                     0x69
#define LOWER_CASE_I_KEY                0x69

#define J_KEY                           0x6A
#define SMALL_J_KEY                     0x6A
#define LOWER_CASE_J_KEY                0x6A

#define K_KEY                           0x6B
#define SMALL_K_KEY                     0x6B
#define LOWER_CASE_K_KEY                0x6B

#define L_KEY                           0x6C
#define SMALL_L_KEY                     0x6C
#define LOWER_CASE_L_KEY                0x6C

#define M_KEY                           0x6D
#define SMALL_M_KEY                     0x6D
#define LOWER_CASE_M_KEY                0x6D

#define N_KEY                           0x6E
#define SMALL_N_KEY                     0x6E
#define LOWER_CASE_N_KEY                0x6E

#define O_KEY                           0x6F
#define SMALL_O_KEY                     0x6F
#define LOWER_CASE_O_KEY                0x6F

#define P_KEY                           0x70
#define SMALL_P_KEY                     0x70
#define LOWER_CASE_P_KEY                0x70

#define Q_KEY                           0x71
#define SMALL_Q_KEY                     0x71
#define LOWER_CASE_Q_KEY                0x71

#define R_KEY                           0x72
#define SMALL_R_KEY                     0x72
#define LOWER_CASE_R_KEY                0x72

#define S_KEY                           0x73
#define SMALL_S_KEY                     0x73
#define LOWER_CASE_S_KEY                0x73

#define T_KEY                           0x74
#define SMALL_T_KEY                     0x74
#define LOWER_CASE_T_KEY                0x74

#define U_KEY                           0x75
#define SMALL_U_KEY                     0x75
#define LOWER_CASE_U_KEY                0x75

#define V_KEY                           0x76
#define SMALL_V_KEY                     0x76
#define LOWER_CASE_V_KEY                0x76

#define W_KEY                           0x77
#define SMALL_W_KEY                     0x77
#define LOWER_CASE_W_KEY                0x77

#define X_KEY                           0x78
#define SMALL_X_KEY                     0x78
#define LOWER_CASE_X_KEY                0x78

#define Y_KEY                           0x79
#define SMALL_Y_KEY                     0x79
#define LOWER_CASE_Y_KEY                0x79

#define Z_KEY                           0x7A
#define SMALL_Z_KEY                     0x7A
#define LOWER_CASE_Z_KEY                0x7A

#define OPEN_CURLY_BRACE_KEY            0x7B
#define START_CURLY_BRACE_KEY           0x7B
#define OPEN_BRACE_KEY                  0x7B
#define START_BRACE_KEY                 0x7B
#define SHIFT_OPEN_BRACKET_KEY          0x7B
#define SHIFT_START_BRACKET_KEY         0x7B
#define BEGIN_CURLY_BRACE_KEY           0x7B
#define BEGIN_BRACE_KEY                 0x7B

#define PIPE_SYMBOL_KEY                 0x7C
#define VERTICAL_BAR_KEY                0x7C
#define PIPE_KEY                        0x7C
#define VT_BAR_KEY                      0x7C
#define PIPE_SYM_KEY                    0x7C

#define CLOSE_CURLY_BRACE_KEY           0x7D
#define END_CURLY_BRACE_KEY             0x7D
#define CLOSE_BRACE_KEY                 0x7D
#define END_BRACE_KEY                   0x7D
#define SHIFT_CLOSE_BRACKET_KEY         0x7D
#define SHIFT_STOP_BRACKET_KEY          0x7D

#define TILDE_KEY                       0x7E
#define INFINITY_KEY                    0x7E
#define SHIFT_ONE_KEY                   0x7E
#define SHIFT_1_KEY                     0x7E

#define CTRL_BACK_SPACE_KEY             0x7F
#define CTRL_BACKSPACE_KEY              0x7F
#define CTRL_BKSP_KEY                   0x7F
#define ALT_ESCAPE_KEY                  0x7F
#define ALT_ESC_KEY                     0x7F

#define CTRL_2_KEY                      0x81
#define CTRL_TWO_KEY                    0x81

#define ALT_BACK_SPACE_KEY              0x8C
#define ALT_BACKSPACE_KEY               0x8C
#define ALT_BKSP_KEY                    0x8C

#define BACKWARD_TAB_KEY                0x8D
#define REVERSE_TAB_KEY                 0x8D
#define BACK_TAB_KEY                    0x8D
#define TAB_LEFT_KEY                    0x8D
#define CURSOR_REVERSE_TAB_KEY          0x8D
#define HORIZONTAL_BACK_TAB_KEY         0x8D
#define HORIZONTAL_REVERSE_TAB_KEY      0x8D
#define HORZ_BACK_TAB_KEY               0x8D
#define HORZ_REVERSE_TAB_KEY            0x8D
#define REV_TAB_KEY                     0x8D
#define HORZ_REV_TAB_KEY                0x8D
#define HORIZONTAL_REV_TAB_KEY          0x8D

#define ALT_Q_KEY                       0x8E

#define ALT_W_KEY                       0x8F

#define ALT_E_KEY                       0x90

#define ALT_R_KEY                       0x91

#define ALT_T_KEY                       0x92

#define ALT_Y_KEY                       0x93

#define ALT_U_KEY                       0x94

#define ALT_I_KEY                       0x95

#define ALT_O_KEY                       0x96

#define ALT_P_KEY                       0x97

#define ALT_OPEN_BRACKET_KEY            0x98
#define ALT_START_BRACKET_KEY           0x98

#define ALT_CLOSE_BRACKET_KEY           0x99
#define ALT_END_BRACKET_KEY             0x99

#define ALT_ENTER_KEY                   0x9A
#define ALT_CARRIAGE_RETURN_KEY         0x9A
#define ALT_CARRIAGE_RET_KEY            0x9A
#define ALT_CR_KEY                      0x9A
#define ALT_RETURN_KEY                  0x9A
#define ALT_REY_KEY                     0x9A

#define ALT_A_KEY                       0x9C

#define ALT_S_KEY                       0x9D

#define ALT_D_KEY                       0x9E

#define ALT_F_KEY                       0x9F

#define ALT_G_KEY                       0xA0

#define ALT_H_KEY                       0xA1

#define ALT_J_KEY                       0xA2

#define ALT_K_KEY                       0xA3

#define ALT_L_KEY                       0xA4

#define ALT_SEMICOLON_KEY               0xA5
#define ALT_SEMI_KEY                    0xA5
#define ALT_SEMI_COLON_KEY              0xA5

#define ALT_SINGLE_QUOTE_KEY            0xA6
#define ALT_TICK_MARK_KEY               0xA6
#define ALT_TICK_KEY                    0xA6
#define ALT_FORWARD_SINGLE_QUOTE_KEY    0xA6

#define ALT_BACK_TICK_KEY               0xA7
#define ALT_GRAVE_KEY                   0xA7
#define ALT_GRAVE_ACCENT_KEY            0xA7
#define ALT_BACK_QUOTE_KEY              0xA7
#define ALT_BACK_SINGLE_QUOTE_KEY       0xA7

#define ALT_BACK_SLASH_KEY              0xA9
#define ALT_BACKSLASH_KEY               0xA9
#define ALT_REVERSE_SLASH_KEY           0xA9

#define ALT_Z_KEY                       0xAA

#define ALT_X_KEY                       0xAB

#define ALT_C_KEY                       0xAC

#define ALT_V_KEY                       0xAD

#define ALT_B_KEY                       0xAE

#define ALT_N_KEY                       0xAF

#define ALT_M_KEY                       0xB0

#define ALT_COMMA_KEY                   0xB1

#define ALT_PERIOD_KEY                  0xB2
#define ALT_DOT_KEY                     0xB2
#define ALT_DECIMAL_POINT_KEY           0xB2
#define ALT_DECIMAL_KEY                 0xB2

#define ALT_SLASH_KEY                   0xB3
#define ALT_FORWARD_SLASH_KEY           0xB3
#define ALT_DIVISION_KEY                0xB3
#define ALT_RATIO_KEY                   0xB3

#define ALT_PAD_STAR_KEY                0xB5
#define ALT_PAD_SPLAT_KEY               0xB5
#define ALT_PAD_ASTERISKS_KEY           0xB5

#define F1_KEY                          0xB9
#define FUNC_1_KEY                      0xB9
#define FUNCTION_1_KEY                  0xB9
#define FUNC_ONE_KEY                    0xB9
#define FUNCTION_ONE_KEY                0xB9

#define F2_KEY                          0xBA
#define FUNC_2_KEY                      0xBA
#define FUNCTION_2_KEY                  0xBA
#define FUNC_TWO_KEY                    0xBA
#define FUNCTION_TWO_KEY                0xBA

#define F3_KEY                          0xBB
#define FUNC_3_KEY                      0xBB
#define FUNCTION_3_KEY                  0xBB
#define FUNC_THREE_KEY                  0xBB
#define FUNCTION_THREE_KEY              0xBB

#define F4_KEY                          0xBC
#define FUNC_4_KEY                      0xBC
#define FUNCTION_4_KEY                  0xBC
#define FUNC_FOUR_KEY                   0xBC
#define FUNCTION_FOUR_KEY               0xBC

#define F5_KEY                          0xBD
#define FUNC_5_KEY                      0xBD
#define FUNCTION_5_KEY                  0xBD
#define FUNC_FIVE_KEY                   0xBD
#define FUNCTION_FIVE_KEY               0xBD

#define F6_KEY                          0xBE
#define FUNC_6_KEY                      0xBE
#define FUNCTION_6_KEY                  0xBE
#define FUNC_SIX_KEY                    0xBE
#define FUNCTION_SIX_KEY                0xBE

#define F7_KEY                          0xBF
#define FUNC_7_KEY                      0xBF
#define FUNCTION_7_KEY                  0xBF
#define FUNC_SEVEN_KEY                  0xBF
#define FUNCTION_SEVEN_KEY              0xBF

#define F8_KEY                          0xC0
#define FUNC_8_KEY                      0xC0
#define FUNCTION_8_KEY                  0xC0
#define FUNC_EIGHT_KEY                  0xC0
#define FUNCTION_EIGHT_KEY              0xC0

#define F9_KEY                          0xC1
#define FUNC_9_KEY                      0xC1
#define FUNCTION_9_KEY                  0xC1
#define FUNC_NINE_KEY                   0xC1
#define FUNCTION_NINE_KEY               0xC1

#define F10_KEY                         0xC2
#define FUNC_10_KEY                     0xC2
#define FUNCTION_10_KEY                 0xC2
#define FUNC_TEN_KEY                    0xC2
#define FUNCTION_TEN_KEY                0xC2

#define HOME_KEY                        0xC5
#define HM_KEY                          0xC5

#define UP_ARROW_KEY                    0xC6
#define UP_KEY                          0xC6
#define CURSOR_UP_KEY                   0xC6

#define PAGE_UP_KEY                     0xC7
#define PG_UP_KEY                       0xC7

#define ALT_PAD_MINUS_KEY               0xC8
#define ALT_PAD_NEGATIVE_KEY            0xC8
#define ALT_PAD_SUBTRACTION_KEY         0xC8
#define ALT_PAD_SUBTRACT_KEY            0xC8
#define ALT_PAD_HYPHEN_KEY              0xC8

#define LEFT_ARROW_KEY                  0xC9
#define LEFT_KEY                        0xC9
#define CURSOR_LEFT_KEY                 0xC9
#define LF_ARROW_KEY                    0xC9
#define CURSOR_LF_KEY                   0xC9

#define PAD_BLANK_KEY                   0xCA

#define RIGHT_ARROW_KEY                 0xCB
#define RIGHT_KEY                       0xCB
#define CURSOR_RIGHT_KEY                0xCB
#define RT_ARROW_KEY                    0xCB
#define CURSOR_RT_KEY                   0xCB
#define RT_KEY                          0xCB

#define ALT_PAD_PLUS_KEY                0xCC
#define ALT_PAD_SUM_KEY                 0xCC
#define ALT_PAD_ADDITION_KEY            0xCC

#define END_KEY                         0xCD

#define DOWN_ARROW_KEY                  0xCE
#define DOWN_KEY                        0xCE
#define CURSOR_DOWN_KEY                 0xCE
#define DN_ARROW_KEY                    0xCE
#define CURSOR_DN_KEY                   0xCE

#define PAGE_DOWN_KEY                   0xCF
#define PG_DOWN_KEY                     0xCF
#define PG_DN_KEY                       0xCF
#define PAGE_DN_KEY                     0xCF

#define INSERT_KEY                      0xD0
#define INSERT_AT_CURSOR_KEY            0xD0
#define INSERT_MODE_KEY                 0xD0
#define INS_KEY                         0xD0
#define INS_MODE_KEY                    0xD0
#define INS_AT_CURSOR_KEY               0xD0

#define DELETE_KEY                      0xD1
#define DELETE_UNDER_CURSOR_KEY         0xD1
#define DELETE_CURSOR_KEY               0xD1
#define DELETE_AT_CURSOR_KEY            0xD1
#define DEL_KEY                         0xD1
#define DEL_UNDER_CURSOR_KEY            0xD1
#define DEL_CURSOR_KEY                  0xD1
#define DEL_AT_CURSOR_KEY               0xD1

#define SHIFT_F1_KEY                    0xD2
#define SHIFT_FUNC_1_KEY                0xD2
#define SHIFT_FUNCTION_1_KEY            0xD2
#define SHIFT_FUNC_ONE_KEY              0xD2
#define SHIFT_FUNCTION_ONE_KEY          0xD2

#define SHIFT_F2_KEY                    0xD3
#define SHIFT_FUNC_2_KEY                0xD3
#define SHIFT_FUNCTION_2_KEY            0xD3
#define SHIFT_FUNC_TWO_KEY              0xD3
#define SHIFT_FUNCTION_TWO_KEY          0xD3

#define SHIFT_F3_KEY                    0xD4
#define SHIFT_FUNC_3_KEY                0xD4
#define SHIFT_FUNCTION_3_KEY            0xD4
#define SHIFT_FUNC_THREE_KEY            0xD4
#define SHIFT_FUNCTION_THREE_KEY        0xD4

#define SHIFT_F4_KEY                    0xD5
#define SHIFT_FUNC_4_KEY                0xD5
#define SHIFT_FUNCTION_4_KEY            0xD5
#define SHIFT_FUNC_FOUR_KEY             0xD5
#define SHIFT_FUNCTION_FOUR_KEY         0xD5

#define SHIFT_F5_KEY                    0xD6
#define SHIFT_FUNC_5_KEY                0xD6
#define SHIFT_FUNCTION_5_KEY            0xD6
#define SHIFT_FUNC_FIVE_KEY             0xD6
#define SHIFT_FUNCTION_FIVE_KEY         0xD6

#define SHIFT_F6_KEY                    0xD7
#define SHIFT_FUNC_6_KEY                0xD7
#define SHIFT_FUNCTION_6_KEY            0xD7
#define SHIFT_FUNC_SIX_KEY              0xD7
#define SHIFT_FUNCTION_SIX_KEY          0xD7

#define SHIFT_F7_KEY                    0xD8
#define SHIFT_FUNC_7_KEY                0xD8
#define SHIFT_FUNCTION_7_KEY            0xD8
#define SHIFT_FUNC_SEVEN_KEY            0xD8
#define SHIFT_FUNCTION_SEVEN_KEY        0xD8

#define SHIFT_F8_KEY                    0xD9
#define SHIFT_FUNC_8_KEY                0xD9
#define SHIFT_FUNCTION_8_KEY            0xD9
#define SHIFT_FUNC_EIGHT_KEY            0xD9
#define SHIFT_FUNCTION_EIGHT_KEY        0xD9

#define SHIFT_F9_KEY                    0xDA
#define SHIFT_FUNC_9_KEY                0xDA
#define SHIFT_FUNCTION_9_KEY            0xDA
#define SHIFT_FUNC_NINE_KEY             0xDA
#define SHIFT_FUNCTION_NINE_KEY         0xDA

#define SHIFT_F10_KEY                   0xDB
#define SHIFT_FUNC_10_KEY               0xDB
#define SHIFT_FUNCTION_10_KEY           0xDB
#define SHIFT_FUNC_TEN_KEY              0xDB
#define SHIFT_FUNCTION_TEN_KEY          0xDB

#define CTRL_F1_KEY                     0xDC
#define CTRL_FUNC_1_KEY                 0xDC
#define CTRL_FUNCTION_1_KEY             0xDC
#define CTRL_FUNC_ONE_KEY               0xDC
#define CTRL_FUNCTION_ONE_KEY           0xDC

#define CTRL_F2_KEY                     0xDD
#define CTRL_FUNC_2_KEY                 0xDD
#define CTRL_FUNCTION_2_KEY             0xDD
#define CTRL_FUNC_TWO_KEY               0xDD
#define CTRL_FUNCTION_TWO_KEY           0xDD

#define CTRL_F3_KEY                     0xDE
#define CTRL_FUNC_3_KEY                 0xDE
#define CTRL_FUNCTION_3_KEY             0xDE
#define CTRL_FUNC_THREE_KEY             0xDE
#define CTRL_FUNCTION_THREE_KEY         0xDE

#define CTRL_F4_KEY                     0xDF
#define CTRL_FUNC_4_KEY                 0xDF
#define CTRL_FUNCTION_4_KEY             0xDF
#define CTRL_FUNC_FOUR_KEY              0xDF
#define CTRL_FUNCTION_FOUR_KEY          0xDF

#define CTRL_F5_KEY                     0xE0
#define CTRL_FUNC_5_KEY                 0xE0
#define CTRL_FUNCTION_5_KEY             0xE0
#define CTRL_FUNC_FIVE_KEY              0xE0
#define CTRL_FUNCTION_FIVE_KEY          0xE0

#define CTRL_F6_KEY                     0xE1
#define CTRL_FUNC_6_KEY                 0xE1
#define CTRL_FUNCTION_6_KEY             0xE1
#define CTRL_FUNC_SIX_KEY               0xE1
#define CTRL_FUNCTION_6_KEY             0xE1

#define CTRL_F7_KEY                     0xE2
#define CTRL_FUNC_7_KEY                 0xE2
#define CTRL_FUNCTION_7_KEY             0xE2
#define CTRL_FUNC_SEVEN_KEY             0xE2
#define CTRL_FUNCTION_SEVEN_KEY         0xE2

#define CTRL_F8_KEY                     0xE3
#define CTRL_FUNC_8_KEY                 0xE3
#define CTRL_FUNCTION_8_KEY             0xE3
#define CTRL_FUNC_EIGHT_KEY             0xE3
#define CTRL_FUNCTION_EIGHT_KEY         0xE3

#define CTRL_F9_KEY                     0xE4
#define CTRL_FUNC_9_KEY                 0xE4
#define CTRL_FUNCTION_NINE_KEY          0xE4
#define CTRL_FUNC_NINE_KEY              0xE4
#define CTRL_FUNCTION_NINE_KEY          0xE4

#define CTRL_F10_KEY                    0xE5
#define CTRL_FUNC_10_KEY                0xE5
#define CTRL_FUNCTION_10_KEY            0xE5
#define CTRL_FUNC_TEN_KEYJ              0xE5
#define CTRL_FUNCTION_TEN_KEY           0xE5

#define ALT_F1_KEY                      0xE6
#define ALT_FUNC_1_KEY                  0xE6
#define ALT_FUNCTION_1_KEY              0xE6
#define ALT_FUNC_ONE_KEY                0xE6
#define ALT_FUNCTION_ONE_KEY            0xE6

#define ALT_F2_KEY                      0xE7
#define ALT_FUNC_2_KEY                  0xE7
#define ALT_FUNCTION_2_KEY              0xE7
#define ALT_FUNC_TWO_KEY                0xE7
#define ALT_FUNCTION_TWO_KEY            0xE7

#define ALT_F3_KEY                      0xE8
#define ALT_FUNC_3_KEY                  0xE8
#define ALT_FUNCTION_3_KEY              0xE8
#define ALT_FUNC_THREE_KEY              0xE8
#define ALT_FUNCTION_THREE_KEY          0xE8

#define ALT_F4_KEY                      0xE9
#define ALT_FUNC_4_KEY                  0xE9
#define ALT_FUNCTION_4_KEY              0xE9
#define ALT_FUNC_FOUR_KEY               0xE9
#define ALT_FUNCTION_FOUR_KEY           0xE9

#define ALT_F5_KEY                      0xEA
#define ALT_FUNC_5_KEY                  0xEA
#define ALT_FUNCTION_5_KEY              0xEA
#define ALT_FUNC_FIVE_KEY               0xEA
#define ALT_FUNCTION_FIVE_KEY           0xEA

#define ALT_F6_KEY                      0xEB
#define ALT_FUNC_6_KEY                  0xEB
#define ALT_FUNCTION_6_KEY              0xEB
#define ALT_FUNC_SIX_KEY                0xEB
#define ALT_FUNCTION_SIX_KEY            0xEB

#define ALT_F7_KEY                      0xEC
#define ALT_FUNC_7_KEY                  0xEC
#define ALT_FUNCTION_7_KEY              0xEC
#define ALT_FUNC_SEVEN_KEY              0xEC
#define ALT_FUNCTION_SEVEN_KEY          0xEC

#define ALT_F8_KEY                      0xED
#define ALT_FUNC_8_KEY                  0xED
#define ALT_FUNCTION_8_KEY              0xED
#define ALT_FUNC_EIGHT_KEY              0xED
#define ALT_FUNCTION_EIGHT_KEY          0xED

#define ALT_F9_KEY                      0xEE
#define ALT_FUNC_9_KEY                  0xEE
#define ALT_FUNCTION_9_KEY              0xEE
#define ALT_FUNC_NINE_KEY               0xEE
#define ALT_FUNCTION_NINE_KEY           0xEE

#define ALT_F10_KEY                     0xEF
#define ALT_FUNC_10_KEY                 0xEF
#define ALT_FUNCTION_10_KEY             0xEF
#define ALT_FUNC_TEN_KEY                0xEF
#define ALT_FUNCTION_TEN_KEY            0xEF

#define CTRL_LEFT_ARROW_KEY             0xF1
#define CTRL_LEFT_KEY                   0xF1
#define CTRL_CURSOR_LEFT_KEY            0xF1
#define CTRL_LF_ARROW_KEY               0xF1
#define CTRL_CURSOR_LF_KEY              0xF1

#define CTRL_RIGHT_ARROW_KEY            0xF2
#define CTRL_RIGHT_KEY                  0xF2
#define CTRL_CURSOR_RIGHT_KEY           0xF2
#define CTRL_RT_ARROW_KEY               0xF2
#define CTRL_CURSOR_RT_KEY              0xF2
#define CTRL_RT_KEY                     0xF2

#define CTRL_END_KEY                    0xF3

#define CTRL_PAGE_DOWN_KEY              0xF4
#define CTRL_PG_DOWN_KEY                0xF4
#define CTRL_PG_DN_KEY                  0xF4
#define CTRL_PG_DOWN_KEY                0xF4
#define CTRL_PAGE_DN_KEY                0xF4

#define CTRL_HOME_KEY                   0xF5
#define CTRL_HM_KEY                     0xF5

#define ALT_ONE_KEY                     0xF6
#define ALT_1_KEY                       0xF6

#define ALT_TWO_KEY                     0xF7
#define ALT_2_KEY                       0xF7

#define ALT_THREE_KEY                   0xF8
#define ALT_3_KEY                       0xF8

#define ALT_FOUR_KEY                    0xF9
#define ALT_4_KEY                       0xF9

#define ALT_FIVE_KEY                    0xFA
#define ALT_5_KEY                       0xFA

#define ALT_SIX_KEY                     0xFB
#define ALT_6_KEY                       0xFB

#define ALT_SEVEN_KEY                   0xFC
#define ALT_7_KEY                       0xFC

#define ALT_EIGHT_KEY                   0xFD
#define ALT_8_KEY                       0xFD

#define ALT_NINE_KEY                    0xFE
#define ALT_9_KEY                       0xFE

#define ALT_ZERO_KEY                    0xFF
#define ALT_0_KEY                       0xFF

#define ALT_HYPHEN_KEY                  0x100
#define ALT_MINUS_KEY                   0x100
#define ALT_SUBTRACTION_KEY             0x100

#define ALT_EQUALS_KEY                  0x101
#define ALT_EQUATE_KEY                  0x101

#define CTRL_PAGE_UP_KEY                0x102
#define CTRL_PG_UP_KEY                  0x102

#define F11_KEY                         0x103
#define FUNC_11_KEY                     0x103
#define FUNCTION_11_KEY                 0x103
#define FUNC_ELEVEN_KEY                 0x103
#define FUNCTION_ELEVEN_KEY             0x103

#define F12_KEY                         0x104
#define FUNC_12_KEY                     0x104
#define FUNCTION_12_KEY                 0x104
#define FUNC_TWELVE_KEY                 0x104
#define FUNCTION_TWELVE_KEY             0x104

#define SHIFT_F11_KEY                   0x105
#define SHIFT_FUNC_11_KEY               0x105
#define SHIFT_FUNCTION_11_KEY           0x105
#define SHIFT_FUNC_ELEVEN_KEY           0x105
#define SHIFT_FUNCTION_ELEVEN_KEY       0x105

#define SHIFT_F12_KEY                   0x106
#define SHIFT_FUNC_12_KEY               0x106
#define SHIFT_FUNCTION_12_KEY           0x106
#define SHIFT_FUNC_TWELVE_KEY           0x106
#define SHIFT_FUNCTION_TWELVE_KEY       0x106

#define CTRL_F11_KEY                    0x107
#define CTRL_FUNC_11_KEY                0x107
#define CTRL_FUNCTION_11_KEY            0x107
#define CTRL_FUNC_ELEVEN_KEY            0x107
#define CTRL_FUNCTION_ELEVEN_KEY        0x107

#define CTRL_F12_KEY                    0x108
#define CTRL_FUNC_12_KEY                0x108
#define CTRL_FUNCTION_12_KEY            0x108
#define CTRL_FUNC_TWELVE_KEY            0x108
#define CTRL_FUNCTION_TWELVE_KEY        0x108

#define ALT_F11_KEY                     0x109
#define ALT_FUNC_11_KEY                 0x109
#define ALT_FUNCTION_11_KEY             0x109
#define ALT_FUNC_ELEVEN_KEY             0x109
#define ALT_FUNCTION_ELEVEN_KEY         0x109

#define ALT_F12_KEY                     0x10A
#define ALT_FUNC_12_KEY                 0x10A
#define ALT_FUNCTION_12_KEY             0x10A
#define ALT_FUNC_TWELVE_KEY             0x10A
#define ALT_FUNCTION_TWELVE_KEY         0x10A

#define CTRL_UP_ARROW_KEY               0x10B
#define CTRL_UP_KEY                     0x10B
#define CTRL_CURSOR_UP_KEY              0x10B

#define CTRL_PAD_MINUS_KEY              0x10C
#define CTRL_PAD_NEGATIVE_KEY           0x10C
#define CTRL_PAD_SUBTRACTION_KEY        0x10C
#define CTRL_PAD_SUBTRACT_KEY           0x10C
#define CTRL_PAD_HYPHEN_KEY             0x10C

#define CTRL_PAD_PLUS_KEY               0x10E
#define CTRL_PAD_SUM_KEY                0x10E
#define CTRL_PAD_ADDITION_KEY           0x10E

#define CTRL_DOWN_ARROW_KEY             0x10F
#define CTRL_DOWN_KEY                   0x10F
#define CTRL_CURSOR_DOWN_KEY            0x10F
#define CTRL_DN_ARROW_KEY               0x10F
#define CTRL_CURSOR_DN_KEY              0x10F
#define CTRL_DN_KEY                     0x10F

#define CTRL_INSERT_KEY                 0x110
#define CTRL_INSERT_AT_CURSOR_KEY       0x110
#define CTRL_INSERT_MODE_KEY            0x110
#define CTRL_INS_KEY                    0x110
#define CTRL_INS_AT_CURSOR_KEY          0x110
#define CTRL_INS_MODE_KEY               0x110

#define CTRL_DELETE_KEY                 0x111
#define CTRL_DELETE_UNDER_CURSOR_KEY    0x111
#define CTRL_DELETE_CURSOR_KEY          0x111
#define CTRL_DELETE_AT_CURSOR_KEY       0x111
#define CTRL_DEL_KEY                    0x111
#define CTRL_DEL_UNDER_CURSOR_KEY       0x111
#define CTRL_DEL_CURSOR_KEY             0x111
#define CTRL_DEL_AT_CURSOR_KEY          0x111

#define CTRL_TAB_KEY                    0x112
#define CTRL_HORIZONTAL_TAB_KEY         0x112
#define CTRL_HORZ_TAB_KEY               0x112
#define CTRL_FORWARD_TAB_KEY            0x112

#define CTRL_PAD_SLASH_KEY              0x113
#define CTRL_PAD_DIVIDE_KEY             0x113
#define CTRL_PAD_FORWARD_SLASH_KEY      0x113
#define CTRL_PAD_RATIO_KEY              0x113

#define CTRL_PAD_STAR_KEY               0x114
#define CTRL_PAD_SPLAT_KEY              0x114
#define CTRL_PAD_ASTERISKS_KEY          0x114

#define ALT_HOME_KEY                    0x115
#define ALT_HM_KEY                      0x115

#define ALT_UP_ARROW_KEY                0x116
#define ALT_UP_KEY                      0x116
#define ALT_CURSOR_UP_KEY               0x116

#define ALT_PAGE_UP_KEY                 0x117
#define ALT_PG_UP_KEY                   0x117

#define ALT_LEFT_ARROW_KEY              0x119
#define ALT_LEFT_KEY                    0x119
#define ALT_CURSOR_LEFT_KEY             0x119
#define ALT_LF_ARROW_KEY                0x119
#define ALT_CURSOR_LF_KEY               0x119

#define ALT_RIGHT_ARROW_KEY             0x11B
#define ALT_RIGHT_KEY                   0x11B
#define ALT_CURSOR_RIGHT_KEY            0x11B
#define ALT_RT_ARROW_KEY                0x11B
#define ALT_CURSOR_RT_KEY               0x11B
#define ALT_RT_KEY                      0x11B

#define ALT_END_KEY                     0x11D

#define ALT_DOWN_ARROW_KEY              0x11E
#define ALT_DOWN_KEY                    0x11E
#define ALT_CURSOR_KEY                  0x11E
#define ALT_DN_ARROW_KEY                0x11E
#define ALT_DN_KEY                      0x11E
#define ALT_CURSOR_DN_KEY               0x11E

#define ALT_PAGE_DOWN_KEY               0x11F
#define ALT_PG_DOWN_KEY                 0x11F
#define ALT_PG_DN_KEY                   0x11F
#define ALT_PAGE_DN_KEY                 0x11F

#define ALT_INSERT_KEY                  0x120
#define ALT_INS_KEY                     0x120
#define ALT_INSERT_AT_CURSOR_KEY        0x120
#define ALT_INSERT_MODE_KEY             0x120
#define ALT_INS_MODE_KEY                0x120
#define ALT_INS_AT_CURSOR_KEY           0x120

#define ALT_DELETE_KEY                  0x121
#define ALT_DELETE_UNDER_CURSOR_KEY     0x121
#define ALT_DELETE_CURSOR_KEY           0x121
#define ALT_DELETE_AT_CURSOR_KEY        0x121
#define ALT_DEL_KEY                     0x121
#define ALT_DEL_UNDER_CURSOR_KEY        0x121
#define ALT_DEL_CURSOR_KEY              0x121
#define ALT_DEL_AT_CURSOR_KEY           0x121

#define ALT_PAD_SLASH_KEY               0x122
#define ALT_PAD_DIVIDE_KEY              0x122
#define ALT_PAD_FORWARD_SLASH_KEY       0x122
#define ALT_PAD_RATIO_KEY               0x122

#define ALT_TAB_KEY                     0x123
#define ALT_FORWARD_TAB_KEY             0x123
#define ALT_HORIZONTAL_TAB_KEY          0x123
#define ALT_CURSOR_TAB_KEY              0x123
#define ALT_NEXT_TAB_KEY                0x123

#define ALT_PAD_ENTER_KEY               0x124

