REM MAKER.BAT - executes %%1.MAK file if it exists, MAKEFILE.MAK otherwise

REM PROJECT is base name of .c file and will come from Codewright's %%r
REM MAKEFILE is name of makefile that's being invoked
REM -p displays all macro values and other msgs for debugging purposes
REM -K keeps the temporary files for subsequent analysis
REM -f is the name of the makefile to execute

if exist %1.mak goto doesexist
make -fmakefile.mak	-DPROJECT=%1 -DMAKEFILE=makefile
goto end

:doesexist
make -f%1.mak 			-DPROJECT=%1 -DMAKEFILE=%1

:end
pause