// percnvw.cpp : implementation of the CPercntView class
//

#include "stdafx.h"
#include "percnt.h"
#include "showprcn.h"

#include "percndoc.h"
#include "percnvw.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPercntView

IMPLEMENT_DYNCREATE(CPercntView, CView)

BEGIN_MESSAGE_MAP(CPercntView, CView)
	//{{AFX_MSG_MAP(CPercntView)
	ON_WM_KEYDOWN()
	ON_COMMAND(ID_PRCNT, OnPrcnt)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPercntView construction/destruction

CPercntView::CPercntView()
{
	// TODO: add construction code here
}

CPercntView::~CPercntView()
{
}

/////////////////////////////////////////////////////////////////////////////
// CPercntView drawing

void CPercntView::OnDraw(CDC* pDC)
{
	CPercntDoc* pDoc = GetDocument();

	// TODO: add draw code here
}



/////////////////////////////////////////////////////////////////////////////
// CPercntView diagnostics

#ifdef _DEBUG
void CPercntView::AssertValid() const
{
	CView::AssertValid();
}

void CPercntView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CPercntDoc* CPercntView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CPercntDoc)));
	return (CPercntDoc*) m_pDocument;
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CPercntView message handlers

void CPercntView::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	m_nProzent += nRepCnt;
	
	CView::OnKeyDown(nChar, nRepCnt, nFlags);
}

void CPercntView::OnPrcnt()
{
	CShowPrcnt pdlg(this, IDD_SHOWPRCNT, IDC_PRCNTBAR);
	
	pdlg.ShowWindow(SW_SHOW);              
	
	SetFocus();
	
	CDC *pDC = GetDC();
	
	pDC->TextOut(20, 20, "Press a key to increment the Percentage-Bar!");
	
	ReleaseDC(pDC);
	
	//EnableWindow(FALSE);
	m_nProzent = 0;

	while (!pdlg.isAbbruch() && m_nProzent <= 100)	
	{
		pdlg.SetPrcnt(m_nProzent);			         
		
		if (pdlg.DoMessages())
			continue;
		// else code here
	}

	//EnableWindow(TRUE);
	Invalidate(TRUE);	
	
	pdlg.DestroyWindow();	
	
	if (pdlg.isAbbruch())
		return;
}
