// Copyright (c) 1991 Microsoft Corporation. All rights reserved.

/* String table constants */
#define IDSNAME     100
#define IDSABOUT    200
#define IDSTITLE    300

/* 'About' dialog box resource id */
#define ABOUTBOX    1

/* icon name */
#define PLAYVDICON 1

/* menu items */

#define IDM_OPEN_DEVICE		10
#define IDM_PLAY		20
#define IDM_CLOSE_DEVICE	30
#define IDM_STOP		40
#define IDM_GET_HMS		50
#define IDM_GET_FRAMES		70
#define IDM_GO_TO_HMS		90
#define IDM_PAUSE		100
#define IDM_GO_TO_NEXT_FRAME	105
#define IDM_GO_TO_PREV_FRAME	110
#define IDM_VD_EJECT		120
#define IDM_EXIT		130
#define IDM_GO_TO_ANY_FRAME	140
#define IDM_PLAY_REVERSE	150
#define IDM_PLAY_SLOW		160
#define IDM_PLAY_FAST		170
#define IDM_PLAY_SCAN		180
#define IDM_PICK_SPEED		190


#define IDOK			 1
#define IDCANCEL		 2

/* hms dialog box declarations */

#define HMS_EDIT_HOUR		 100
#define HMS_EDIT_MINUTE 	 200
#define HMS_EDIT_SECOND 	 300
#define HMS_STATIC		 400

/* frame advance dialog box declarations */

#define FRAME_NEXT		100
#define FRAME_PREV		200
#define FRAME_EXIT		300
#define FRAME_EDIT		400
#define FRAME_STATIC		500

/* speed dialog box declarations */

#define SPEED_EDIT		100
#define SPEED_STATIC		200



#define ID_HELP   200
