// showprcn.h : header file
//
#if !defined(_SHOWPRCN_H_)

#define _SHOWPRCN_H_

/////////////////////////////////////////////////////////////////////////////
// CPrcntBar window
class CPrcntBar : public CWnd
{
// Construction
public:
	CPrcntBar();
	DECLARE_DYNCREATE(CPrcntBar);

	// Member function to register a window class
	static BOOL RegisterMyClass() ;

// Attributes	
	int m_nprcnt;
	CBrush blue;
	CBrush white;
	CBrush black;
	
// Operations
public:
	void SetPrcnt(int prcnt)	{ m_nprcnt = min(100, max(0, prcnt)); }
	
protected:
	static WNDPROC pfnSuperWndProc ;
	virtual WNDPROC* GetSuperWndProcAddr() {return &pfnSuperWndProc;}
	
private:		
	static LONG CALLBACK __export
	FirstMsgOnlyWndProc(HWND hWnd, UINT msg, UINT wParam, LONG lParam);

	BOOL bCreatedByClassName ;
	virtual void PostNcDestroy() ;

	// Generated message map functions
protected:
	//{{AFX_MSG(CPrcntBar)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CShowPrcnt dialog

class CShowPrcnt : public CDialog
{
// Construction
public:
// Dialog Data
	//{{AFX_DATA(CShowPrcnt)
	enum { IDD = IDD_SHOWPRCNT };
	//}}AFX_DATA

	CShowPrcnt(CWnd* pParent = NULL, UINT nIDTemplate = IDD, UINT nIDBar = 0);	// standard constructor 
    int DoMessages();  
    BOOL isAbbruch();
    void SetPrcnt(int prcnt);
	void SetStrText(UINT nIDC, const char *name);
	void SetStrText(UINT nIDC, UINT nIDS);

// Implementation
protected:
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
    
	// Generated message map functions
	//{{AFX_MSG(CShowPrcnt)
	virtual void OnCancel();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	     
// Data	     
protected:	
	UINT m_nIDBar;
	MSG msg;
	int m_nprcnt;
	BOOL m_bCanceled;
	CPrcntBar *m_prcntbar;
};

/////////////////////////////////////////////////////////////////////////////

#endif  // _SHOWPRCN_H_
