#include "window.h"

Cell::Cell()
{
	Character = ' ';
	Attribute = 7;
}


void Cell::Put(uchar attr, uchar c)
{
	Character = c;
	Attribute = attr;
}


void Cell::Put(short word)
{
	Character = (uchar)(word & 0xff);
	Attribute = (uchar)(word >> 8);
}


void Cell::Get(uchar &attr, uchar &c)
{
	c = Character;
	attr = Attribute;
}


short Cell::Get()
{
	return ((short)((short)Attribute<<8|Character));
}
