/***********************************************************************/
/*                                                                     */
/*    BABY.CPP                                                         */
/*                                                                     */
/*   Author: JM Curran                                                 */
/*   Copyright (c) 1993, James M. Curran                               */
/*                                                                     */
/***********************************************************************/
/* Created : Wednesday, March 17, 1993 at 12:34 AM                     */
/*                                                                     */
/* Revision: 1.0   Last Revised: Wednesday, March 17, 1993 @ 12:34 AM  */
/***********************************************************************/

#include "datecl.h"

#define NUMDAYS 280

int main(int argc, char *parm[])
{
	Date	a_date;
	int	num;

	// Did he type both parameters? 
	if (argc < 3)
		num = NUMDAYS;		// No - use full-term
	else
		num = atoi(parm[2]);	// Yes- Whatever he wants.

	if (argc < 2)
	{
		printf("`Baby' -  Date Calculator\n");
		printf("Usage:  Baby   [date]  [num of days]\n");
		printf(" If date is not given, default is today.\n");
		printf(" If number of days not given, default is %d.\n\n", NUMDAYS);

		a_date = "Today";	// use today's date.

	}
	else
		a_date = parm[1]; // set to first parameter.


	a_date.setFormat(Date::FULL);

	cout << num << " days from " << a_date << " is \n";

	// PREPARE FOR THE REAL WORK !!!!

	a_date += num;

	// OK, IT'S OVER !!!!

	cout << a_date;

	return(0);
}
