/* check your equipment */
#include <stdio.h>
#include <conio.h>
#include <bios.h>

#define	par_mask	0xC000
#define	com_mask	0x0E00
#define	dma_mask	0x0100
#define	dsk_mask	0x00C0
#define	vid_mask	0x0030
#define	prc_mask	0x0002
#define	gam_mask    0x1000

extern unsigned int _version;
extern unsigned char _osminor;
extern unsigned char _osmajor;

main()
{
	int	equipt;
	int x;
	equipt=biosequip();

	clrscr();


	printf(".......DEMO of BIOSEQUIP in Turbo C........\n\n");
	printf("...............by H. L. Hawk...............\n\n");

	if(equipt & prc_mask)
		printf("There is a MATH CO-PROCESSOR\n");
	else
		printf("NO Math CO-PROCESSOR\n");

	if(!(equipt & gam_mask))
		printf("There is a GAME PORT\n");
	else
		printf("NO GAME PORT\n");

	if(equipt & dma_mask)
		printf("NO DMA\n");
	else
		printf("There is DMA\n");

	x=(equipt & par_mask);
	x>>=14;
	printf("There are %d parallel printers\n",x);

	x=(equipt & com_mask);
	x>>=9;
	printf("There are %d serial ports\n",x);

	x=(equipt & dsk_mask);
	x>>=6;
	printf("There are %d disk drives\n",x+1);

	x=(equipt & vid_mask);
	x>>=4;
	if(x==1)
		printf("The initial video mode is 40X25 with a COLOR card\n");
	if(x==2)
		printf("The initial video mode is 80X25 with a COLOR card\n");
	if(x==3)
		printf("The initial video mode is 80X25 with a MONO card\n");

	printf("\nThere is %dK of RAM\n",biosmemory());

	printf("Reported DOS version	%d.%d\n",_osmajor,(_osminor));


} /* end main */