#ifndef DKSETJMP_H
#define DKSETJMP_H


#ifdef AIX

#ifdef i386

typedef stOBruct _jmp_buf_splice {
  int sc_ax;
  int sc_bx;
  int sc_cx;
  int sc_retaddress;
  int sc_di;
  int sc_si;
  int sc_usp;
  int sc_bp;
} jmp_buf_splice;


#else

#define NSAVEDGPRS 19

typedef struct _jmp_buf_splice {
  int sc_retaddress;
  int sc_usp;
  int toc;
  long gpregs[NSAVEDGPRS];
} jmp_buf_splice;


#endif

extern int setjmp_splice (jmp_buf_splice * b);
extern void  longjmp_splice (jmp_buf_splice * b, int f);

#endif /* AIX   */



#ifdef sparc

#define NSAVEDGPRS 23

typedef struct _jmp_buf_splice {
  int sc_retaddress;
  int sc_usp;
  int sc_ufp;
  long gpregs[NSAVEDGPRS];
} jmp_buf_splice;

#endif



#ifdef SCO

#ifdef i386

typedef struct _jmp_buf_splice {
  int sc_ax;
  int sc_bx;
  int sc_cx;
  int sc_retaddress;
  int sc_di;
  int sc_si;
  int sc_usp;
  int sc_bp;
} jmp_buf_splice;

extern int setjmp_splice (jmp_buf_splice * b);
extern void  longjmp_splice (jmp_buf_splice * b, int f);


#endif
#endif

#ifdef DEFOS2
/*#include <setjmp.h>
typedef struct _jmp_buf_splice {
  int sc_ax;
  int sc_bx;
  int sc_cx;
  int sc_retaddress;
  int sc_di;
  int sc_si;
  int sc_usp;
  int sc_bp;
} jmp_buf_splice;

typedef jmp_buf jmp_buf_splice; 

OUI 17.8.83

*/


typedef jmp_buf jmpbuf_splice;
#define setjmp_splice(q) setjmp((jmp_buf) q)
#define longjmp_splice(q,f) longjmp((jmp_buf) q,f)


#endif


#ifdef WINDOWS

typedef struct _jj {
	int     ax;
	int     bx;
	int     ds ;
	int     dx;
	int     di;
	int     si;
	int     bp;
	int     sp;
	int     cx;
	
	int     es;
	int     ss;
	long    ret;
	} jmp_buf_splice;

extern int setjmp_splice (jmp_buf_splice * b);
extern void  longjmp_splice (jmp_buf_splice * b, int f);

#endif


#if defined (SUNOS) 

#include <setjmp.h>

typedef _jmp_buf_splice jmp_buf_splice;
#define setjmp_splice(q) setjmp((jmp_buf) q)
#define longjmp_splice(q,f) longjmp((jmp_buf) q,f)



#endif

#if defined(WINNT)

#include <setjmp.h>
#define jmp_buf_splice jmp_buf
#define setjmp_splice(q) setjmp(q)
#define longjmp_splice(q,f) longjmp(q,f)



#endif
#endif /*DKSETJMP_H*/
