//utils.c
//ULONG ReadResData (short int nCard, BYTE *pData);
BYTE * ReadResData (short int nCard);
BYTE *AllocateData (ULONG,int,BYTE *);
BYTE ReadDataWord (void);
void reset_cards(void); 
int LogPrintf(char *lpszFormat, ...);

//isutil.c
int HStrnOcc (char far *,char );
BYTE GetScreenHeight(void);

//parse.c
void parse_data(BYTE *,ULONG);
void display_bin (BYTE) ;
void display_comp_asc (BYTE, BYTE );
BYTE GetTag(BYTE *,ULONG,UINT *);
UINT DisplayTagInfo (BYTE ,BYTE *,ULONG,UINT);

//isolate.c
VOID Out(WORD , BYTE );
BYTE InData();
void ReadConfig(int, BYTE *, int);
void SetConfig(int, BYTE *, int);
void ConfigureCards(int);
ULONG EnumLogDev(BYTE *, int);
void GetDevConfig(int, ULONG, DEVICE_CFG *);
void ParseDevConfig(DEVICE_CFG *);
ULONG SelectDevice(ULONG);
int TestRegister(int, BYTE);
int ChooseDependentFunction(BYTE *, int, int, int *);
void IORangeCheck(WORD);

//display.c
void display_Mem_RD(BYTE *,ULONG ,UINT);
void display_Log_Dev_ID(BYTE *,ULONG,UINT);
void display_IRQ_FMT(BYTE *,ULONG,UINT );
void display_DMA_FMT(BYTE *,ULONG,UINT );
void display_IO_DESC(BYTE *,ULONG,UINT );
void display_Fixed_DESC(BYTE *,ULONG,UINT );

