/*

GBMV2.H  Resource and Window ID's

*/

/* Resources. */

#define	RID_GBMV2		1000
#define	RID_SELECT1		1001
#define	RID_SELECT2		1002
#define	RID_HELP_TABLE		1003
#define	RID_DLG_COLOUR		1004
#define	RID_DLG_MAP		1005
#define	RID_DLG_RESIZE		1006

/* Menu selections. */

#define	MID_FILE		1100
#define	MID_NEW			1101
#define	MID_OPEN		1102
#define	MID_SAVE		1103
#define	MID_SAVE_AS		1104
#define	MID_PRINT		1105
#define	MID_SNAPSHOT		1106
#define	MID_EDIT		1107
#define	MID_UNDO		1108
#define	MID_SELECT		1109
#define	MID_DESELECT		1110
#define	MID_COPY		1111
#define	MID_PASTE		1112
#define	MID_BITMAP		1113
#define	MID_REF_HORZ		1114
#define	MID_REF_VERT		1115
#define	MID_ROT_90		1116
#define	MID_ROT_180		1117
#define	MID_ROT_270		1118
#define	MID_TRANSPOSE		1119
#define	MID_CROP		1120
#define	MID_COLOUR		1121
#define	MID_MAP			1122
#define	MID_RESIZE		1123
#define	MID_VIEW		1124
#define	MID_VIEW_NULL		1125
#define	MID_VIEW_HALFTONE	1126
#define	MID_VIEW_ERRDIFF	1127
#define	MID_HELP		1128
#define	MID_HELP_FOR_HELP	1129
#define	MID_EXIT		1130 /* Not actually on menu */

/* Dialog control ID's. */

#define	DID_HELP		1200
#define	DID_MAPPING		1201
#define	DID_I_TO_L		1202
#define	DID_I_TO_P		1203
#define	DID_L_TO_I		1204
#define	DID_L_TO_P		1205
#define	DID_P_TO_I		1206
#define	DID_P_TO_L		1207
#define	DID_PARAMS		1208
#define	DID_GAMMA_TEXT		1209
#define	DID_GAMMA		1210
#define	DID_SHELF_TEXT		1211
#define	DID_SHELF		1212

#define	DID_MAP_TO		1220
#define	DID_MAP_BW		1221
#define	DID_MAP_8		1222
#define	DID_MAP_VGA		1223
#define	DID_MAP_4G		1224
#define	DID_MAP_784		1225
#define	DID_MAP_666		1226
#define	DID_MAP_8G		1227
#define	DID_MAP_TRIPEL		1228
#define	DID_MAP_RGB		1229
#define	DID_MAP_FREQ		1230
#define	DID_VALUES		1231
#define	DID_R_TEXT		1232
#define	DID_R			1233
#define	DID_G_TEXT		1234
#define	DID_G			1235
#define	DID_B_TEXT		1236
#define	DID_B			1237
#define	DID_N_TEXT		1238
#define	DID_N			1239
#define	DID_HOW			1240
#define	DID_NEAREST		1241
#define	DID_HALFTONE		1242
#define	DID_ERRDIFF		1243

#define	DID_CURRENTLY		1250
#define	DID_WIDTH_TEXT		1251
#define	DID_WIDTH		1252
#define	DID_WIDTH_MUL		1253
#define	DID_WIDTH_DIV		1254
#define	DID_WIDTH_MATCH		1255
#define	DID_HEIGHT_TEXT		1256
#define	DID_HEIGHT		1257
#define	DID_HEIGHT_MUL		1258
#define	DID_HEIGHT_DIV		1259
#define	DID_HEIGHT_MATCH	1260
#define	DID_MUL_TEXT		1261
#define	DID_MUL			1262

/* Window ID's */

#define WID_SCROLL 		1270
#define	WID_BITMAP		1271
