// Copyright (c) 1992 Microsoft Corporation. All rights reserved.

// Menu defines.
#define IDM_ABOUT   500
#define IDM_EXIT    501
#define IDM_DATAVAL 502

// String Table Defines
#define IDS_PROGNAME       1
#define IDS_MAINMENUNAME   2
#define IDS_MAINCLASSNAME  3

// Dialog Box defines
#define ALPHAONLY     101
#define NUMBERONLY    102

// State machine defines
#define START 0
#define ONE   1
#define TWO   2
#define SINK  3
#define FINAL 4

// User-defined message to handle invalid edit controls
#define WM_NOTVALID (WM_USER + 400)

// Name of About Box in RC file.
#define AboutBoxName    "AboutDlg"     


// Global variables defined in this header.  One .C file (INIT.C) should have
// IN_INIT #define'd prior to including this header -- it's in that
// C module where these variables will reside.

#ifdef IN_INIT
#define EXTERN
#endif

#ifndef IN_INIT
#define EXTERN extern
#endif

EXTERN HANDLE ghInst;                     // Handle to this instance
EXTERN HWND   ghWnd;                      // Handle to main window


// Function Prototypes 
//*** from init.c
BOOL InitApplication (HANDLE);
BOOL InitInstance (HANDLE, int);


//*** from mainwnd.c
long FAR PASCAL MainWndProc (HWND, unsigned, WORD, LONG);

//*** from dialogs.c
BOOL FAR PASCAL AboutDlg (HWND, unsigned, WORD, LONG);
BOOL ValidateControlContents (HWND, WORD);
BOOL FAR PASCAL DataValDlgProc (HWND, unsigned, WORD, LONG);


