#include <stdlib.h>
#include "long64.h"


void main (int argc, char *argv[])
{
    long64 ans;

    if (argc != 3)
    {
        cout << "Usage : long64 <num_1> <num_2>\n";
        exit(0);
    }

    long64 a = _atold(argv[1]);
    long64 b = _atold(argv[2]);

    ans = a + b;
    cout << "add " << ans << '\n';

    ans = a - b;
    cout << "sub " << ans << '\n';

    ans = a * b;
    cout << "mul " << ans << '\n';

    ans = a / b;
    cout << "div " << ans << '\n';

    ans = a % b;
    cout << "mod " << ans << '\n';

    ans = a << (long) b.value();
    cout << "s<< " << ans << '\n';

    ans = a >> (int) b.value();
    cout << "s>> " << ans << '\n';

    ans = a & b;
    cout << "and " << ans << '\n';

    ans = a | b;
    cout << "or  " << ans << '\n';

    ans = ~a;
    cout << "~   " << ans << '\n';

    ans = !a;
    cout << "!   " << ans << '\n';

    ans = -a;
    cout << "-   " << ans << '\n';

    a += b;
    cout << "+=  " << a << '\n';

    a -= b;
    cout << "-=  " << a << '\n';

    a *= b;
    cout << "*=  " << a << '\n';

    a /= b;
    cout << "/=  " << a << '\n';

    ans = a;
    ans %= b;
    cout << "%=  " << ans << '\n';

    ans = a;
    ans |= b;
    cout << "|=  " << ans << '\n';

    ans = a;
    ans &= b;
    cout << "&=  " << ans << '\n';

    a <<= (int)b.value();
    cout << "<<= " << a << '\n';

    a >>= (int)b.value();
    cout << ">>= " << a << '\n';

    cout << " a <  b = " << ( a <  b ? "True" : "False") << '\n';
    cout << " a <= b = " << ( a <= b ? "True" : "False") << '\n';
    cout << " a >  b = " << ( a >  b ? "True" : "False") << '\n';
    cout << " a >= b = " << ( a >= b ? "True" : "False") << '\n';
    cout << " a == b = " << ( a == b ? "True" : "False") << '\n';
    cout << " a != b = " << ( a != b ? "True" : "False") << '\n';

    cout << "a++ " << a++ << '\n';
    cout << "++a " << ++a << '\n';
    cout << "a-- " << a-- << '\n';
    cout << "--a " << --a << '\n';
}