#ifndef INCLUDES
#define INCLUDES
#include "basedef.h"

#include <stdio.h> 
#include <stdlib.h> 
#include <string.h>
#include <malloc.h>
#include <conio.h>
#include <limits.h>
#include <stdarg.h>

#define Not_VxD
#define	No_CM_Calls


#include <vmm.h>
#include <debug.h>
#include <configmg.h>
#include <pnpdrvs.h>
#include <isapnp.h>
#include <misc.h>
#include <isolate.h>

#include "config.h"

#include "externs.h"

#define	ENUM_NAME	"ISAPNP\\"
#define	ENUM_NAME_LEN	7
#define VER_LEN 	 2


#define PNP_VERSION     0x1
#define PNP_LOG_DEV_ID  0x2
#define PNP_COMP_DEV_ID 0x3
#define PNP_IRQ_FORMAT  0x4
#define PNP_DMA_FORMAT  0x5
#define PNP_START_DF	0x6
#define PNP_END_DF		0x7
#define PNP_IO_DESC     0x8
#define PNP_IO_FIXED    0x9
#define PNP_RESERVED    0xA
#define PNP_RESERVED1   0xB
#define PNP_RESERVED2   0xC
#define PNP_RESERVED3   0xD
#define PNP_VENDOR      0xE
#define PNP_END			0xF

#define PNP_L_MEM_RD    0x1
#define PNP_L_IDSTRNGA  0x2
#define PNP_L_IDSTRNGU  0x3
#define PNP_L_VENDOR    0x4

#define END_TAG 0x79 		//From PNP Spec, pg 28. 6.2.2

#define VEND_ID_LEN 0x4
#define DEV_CODE_OFFSET (VEND_ID_LEN+4)
#define READ_BLOCK_SIZE 0x1000
#define	BUFSIZE 256

//ADR TAGS
#define ADR_IO_ACTIVE 0x30


CM_LOCAL_DATA	DWORD	CM_BASED	DOS386Services;
CM_LOCAL_DATA	WORD	CM_BASED	ReadPort;


//Globals
BOOL fVerbose,fEndDF,fEmpty;
int nStartDF;
ULONG nBlocks;
int nLines;
BYTE nScreenHeight;


//Macros
#define SMALL_HEADER 1
#define LARGE_HEADER 3
#define Add_Small(n) (n+=SMALL_HEADER)
#define Add_Large(n) (n+=LARGE_HEADER)
#endif



